import { IClientConfigurationService, IConfigurationOverrides, ConfigurationTarget, IWorkspaceFolder } from '@workbench-stack/core';
import { ApolloClient } from 'apollo-client';
import { InMemoryCache } from 'apollo-cache-inmemory';
export declare class ConfigurationService implements IClientConfigurationService {
    private client;
    private cache;
    private utility;
    constructor(client: ApolloClient<any>, cache: InMemoryCache, utility: any);
    getConfiguration(): void;
    readonly configuration: {
        __typename?: "Configuration";
    } & {
        terminal: {
            __typename?: "Terminal";
        } & {
            __typename?: "Terminal";
        } & {
            integrated: {
                __typename?: "Integrated";
            } & Pick<import("../../../../../packages/workbench-core/lib").IIntegrated, "setLocaleVariables"> & {
                shell: {
                    __typename?: "Shell";
                } & Pick<import("../../../../../packages/workbench-core/lib").IShell, "osx" | "linux" | "windows" | "container">;
                shellArgs: {
                    __typename?: "ShellArgs";
                } & Pick<import("../../../../../packages/workbench-core/lib").IShellArgs, "osx" | "linux" | "windows" | "container">;
            };
        };
        search: {
            __typename?: "Search";
        } & {
            __typename?: "Search";
        } & Pick<import("../../../../../packages/workbench-core/lib").ISearch, "location" | "smartCase" | "useRipgrep" | "useIgnoreFiles" | "followSymlinks" | "globalFindClipboard" | "exclude"> & {
            quickOpen: {
                __typename?: "SearchQuickOpen";
            } & Pick<import("../../../../../packages/workbench-core/lib").ISearchQuickOpen, "includeSymbols">;
        };
        languages: {
            __typename?: "Languages";
        } & {
            __typename?: "Languages";
        } & Pick<import("../../../../../packages/workbench-core/lib").ILanguages, "go" | "css" | "html" | "json" | "yaml" | "typescript" | "javascript">;
        output: {
            __typename?: "Output";
        } & Pick<import("../../../../../packages/workbench-core/lib").IOutput, "maxChannelHistory">;
        files: {
            __typename?: "Files";
        } & {
            __typename?: "Files";
        } & Pick<import("../../../../../packages/workbench-core/lib").IFiles, "exclude" | "eol" | "hotExit" | "encoding" | "autoSave" | "autoSaveDelay" | "defaultLanguage" | "autoGuessEncoding" | "insertFinalNewline" | "trimTrailingWhitespace" | "useExperimentalFileWatcher" | "watcherExclude">;
        git: {
            __typename?: "Git";
        } & {
            __typename?: "Git";
        } & Pick<import("../../../../../packages/workbench-core/lib").IGit, "path" | "enabled" | "autofetch" | "countBadge" | "autorefresh" | "confirmSync" | "checkoutType" | "inputValidation" | "detectSubmodules" | "enableSmartCommit" | "ignoreLimitWarning" | "ignoreLegacyWarning" | "enableCommitSigning" | "defaultCloneDirectory" | "autoRepositoryDetection" | "ignoreMissingGitWarning" | "showInlineOpenFileAction" | "promptToSaveFilesBeforeCommit"> & {
            decorations: {
                __typename?: "GitDecorations";
            } & Pick<import("../../../../../packages/workbench-core/lib").IGitDecorations, "enabled">;
        };
    };
    getValue<T>(): T;
    getValue<T>(section: string): T;
    getValue<T>(overrides: IConfigurationOverrides): T;
    getValue<T>(section: string, overrides: IConfigurationOverrides): T;
    updateValue(key: string, value: any): Promise<void>;
    updateValue(key: string, value: any, overrides: IConfigurationOverrides): Promise<void>;
    updateValue(key: string, value: any, target: ConfigurationTarget): Promise<void>;
    updateValue(key: string, value: any, overrides: IConfigurationOverrides, target: ConfigurationTarget): Promise<void>;
    reloadConfiguration(folder?: IWorkspaceFolder): Promise<void>;
}
