/* tslint:disable */



      export interface IntrospectionResultData {
        __schema: {
          types: {
            kind: string;
            name: string;
            possibleTypes: {
              name: string;
            }[];
          }[];
        };
      }

      const result: IntrospectionResultData = {
  "__schema": {
    "types": [
      {
        "kind": "INTERFACE",
        "name": "ISearchCompleteStats",
        "possibleTypes": [
          {
            "name": "SearchComplete"
          }
        ]
      },
      {
        "kind": "UNION",
        "name": "SearchCompleteStatsStats",
        "possibleTypes": [
          {
            "name": "FileSearchStats"
          },
          {
            "name": "TextSearchStats"
          }
        ]
      },
      {
        "kind": "UNION",
        "name": "FileSearchStatsdetailStats",
        "possibleTypes": [
          {
            "name": "SearchEngineStats"
          },
          {
            "name": "CachedSearchStats"
          },
          {
            "name": "FileSearchProviderStats"
          },
          {
            "name": "FileIndexProviderStats"
          }
        ]
      },
      {
        "kind": "INTERFACE",
        "name": "IFileMatch",
        "possibleTypes": [
          {
            "name": "FileMatch"
          },
          {
            "name": "SearchProgressItem"
          }
        ]
      },
      {
        "kind": "UNION",
        "name": "TextSearchResult",
        "possibleTypes": [
          {
            "name": "TextSearchMatch"
          },
          {
            "name": "TextSearchContext"
          }
        ]
      },
      {
        "kind": "INTERFACE",
        "name": "IBaseStatWithMetadata",
        "possibleTypes": [
          {
            "name": "FileStatWithMetadata"
          },
          {
            "name": "FileContent"
          },
          {
            "name": "TextFileContent"
          },
          {
            "name": "TextFileStreamContent"
          },
          {
            "name": "FileStreamContent"
          }
        ]
      },
      {
        "kind": "INTERFACE",
        "name": "IBaseStat",
        "possibleTypes": [
          {
            "name": "FileStatWithMetadata"
          },
          {
            "name": "FileContent"
          },
          {
            "name": "TextFileContent"
          },
          {
            "name": "TextFileStreamContent"
          },
          {
            "name": "TextFilePublishContent"
          },
          {
            "name": "FileStat"
          },
          {
            "name": "FileStreamContent"
          }
        ]
      },
      {
        "kind": "INTERFACE",
        "name": "IFileClientMetadata",
        "possibleTypes": [
          {
            "name": "FileStatWithMetadata"
          },
          {
            "name": "TextFileContent"
          }
        ]
      },
      {
        "kind": "INTERFACE",
        "name": "IContentChangedEvent",
        "possibleTypes": [
          {
            "name": "FileStatWithMetadata"
          }
        ]
      },
      {
        "kind": "INTERFACE",
        "name": "ITreeItem",
        "possibleTypes": [
          {
            "name": "FileStatWithMetadata"
          }
        ]
      },
      {
        "kind": "INTERFACE",
        "name": "IBaseTextFileContent",
        "possibleTypes": [
          {
            "name": "TextFileContent"
          },
          {
            "name": "TextFileStreamContent"
          },
          {
            "name": "TextFilePublishContent"
          }
        ]
      },
      {
        "kind": "UNION",
        "name": "EditorChildren",
        "possibleTypes": [
          {
            "name": "EditorPart"
          },
          {
            "name": "EditorGroup"
          }
        ]
      },
      {
        "kind": "INTERFACE",
        "name": "IEditorGroup",
        "possibleTypes": [
          {
            "name": "EditorGroup"
          }
        ]
      },
      {
        "kind": "UNION",
        "name": "EditorInput",
        "possibleTypes": [
          {
            "name": "UntitledEditorInput"
          },
          {
            "name": "ResourceEditorInput"
          },
          {
            "name": "SideBySideEditorInput"
          },
          {
            "name": "DiffEditorInput"
          },
          {
            "name": "DataUriEditorInput"
          }
        ]
      },
      {
        "kind": "INTERFACE",
        "name": "IEditorInput",
        "possibleTypes": [
          {
            "name": "UntitledEditorInput"
          },
          {
            "name": "ResourceEditorInput"
          },
          {
            "name": "SideBySideEditorInput"
          },
          {
            "name": "DiffEditorInput"
          },
          {
            "name": "DataUriEditorInput"
          }
        ]
      },
      {
        "kind": "INTERFACE",
        "name": "IEditorInputWithGroupFields",
        "possibleTypes": [
          {
            "name": "UntitledEditorInput"
          },
          {
            "name": "ResourceEditorInput"
          },
          {
            "name": "SideBySideEditorInput"
          },
          {
            "name": "DiffEditorInput"
          },
          {
            "name": "DataUriEditorInput"
          }
        ]
      },
      {
        "kind": "INTERFACE",
        "name": "IDebugParams",
        "possibleTypes": [
          {
            "name": "ExtensionHostDebugParams"
          }
        ]
      },
      {
        "kind": "INTERFACE",
        "name": "Node",
        "possibleTypes": [
          {
            "name": "RegistryExtension"
          }
        ]
      },
      {
        "kind": "INTERFACE",
        "name": "ISettingsSubject",
        "possibleTypes": [
          {
            "name": "UserSettings"
          },
          {
            "name": "FolderSettings"
          },
          {
            "name": "GlobalSettings"
          }
        ]
      },
      {
        "kind": "UNION",
        "name": "SettingsSubject",
        "possibleTypes": [
          {
            "name": "UserSettings"
          },
          {
            "name": "FolderSettings"
          },
          {
            "name": "GlobalSettings"
          }
        ]
      },
      {
        "kind": "INTERFACE",
        "name": "ICommonQueryProps",
        "possibleTypes": []
      },
      {
        "kind": "INTERFACE",
        "name": "ISearchProgress",
        "possibleTypes": [
          {
            "name": "SearchProgressItem"
          }
        ]
      },
      {
        "kind": "INTERFACE",
        "name": "IEncodingSupport",
        "possibleTypes": []
      },
      {
        "kind": "INTERFACE",
        "name": "IModeSupport",
        "possibleTypes": []
      },
      {
        "kind": "INTERFACE",
        "name": "IFileEditorInput",
        "possibleTypes": []
      },
      {
        "kind": "INTERFACE",
        "name": "Range",
        "possibleTypes": []
      },
      {
        "kind": "INTERFACE",
        "name": "ITextDocumentIdentifier",
        "possibleTypes": [
          {
            "name": "TextDocumentIdentifier"
          },
          {
            "name": "TextDocumentItem"
          }
        ]
      },
      {
        "kind": "INTERFACE",
        "name": "TextDocumentPositionParams",
        "possibleTypes": [
          {
            "name": "ProvideTextDocumentLocationSignature"
          }
        ]
      },
      {
        "kind": "INTERFACE",
        "name": "Location",
        "possibleTypes": [
          {
            "name": "ProvideTextDocumentLocationSignature"
          }
        ]
      },
      {
        "kind": "INTERFACE",
        "name": "Hover",
        "possibleTypes": []
      },
      {
        "kind": "INTERFACE",
        "name": "MarkupContent",
        "possibleTypes": []
      }
    ]
  }
};

      export default result;
    